
Ryzom - Bug # 1364

Status: Closed Priority: Normal
Author: kaetemi Category: Client: General
Created: 09/22/2011 Assignee: kaetemi
Updated: 12/07/2011 Due date:
Subject: Item infos are transfered for buff tooltip when not needed
Description

The class CItemInfos is used to transfer detailed information of an item. It is intended for the detailed property view of an item.
By adding and IItemInfoWaiter to the interface manager, it will automatically request an item's detailed info from the server as soon
as the properties on the waiter changed. When the detailed info arrives, a virtual function is called.

The function getContextHelp is used in many places, including the merchant sales list, to get a normal informational display string for
sheets.
It is also used in the interface manager for the actual context help, also known as tooltips.

The buff info, that is the +HP etcetera bonus, an item info waiter was implemented in the getContextHelp function of the
CDBCtrlSheet control.
This causes heavy network traffic, and thus major slowdowns, when a user loads a merchant sales list. Especially when items with
long user texts are involved.

History
#1 - 09/23/2011 12:23 am - kaetemi
- Status changed from Assigned to Resolved
- Target version set to Version 0.9.0
- % Done changed from 0 to 100

#2 - 10/11/2011 11:40 am - kaetemi

Applied in changeset commit:6d55abcc7218.

#3 - 12/07/2011 02:56 pm - sfb
- Status changed from Resolved to Closed
